Jump to content
Cesbo Community
  • Announcements

    • RadioSintetica

      Information   10/21/18

      Registration on the forum temporarily closed! For support requests, please contacat us: https://cesbo.com/help
      Our community in Telegram: @cesbo_en (English language) , @cesbo_ru (Russian language) , @cesbo_es (Spanish Language)
max

проблемма с установкой

Recommended Posts

CrazyCat , подскажи пожалуйста...

Пробую поставить дрова под tbs6221 для dvb-c

 

./v4l/tbs-dvbc-x86_64.sh

 

пишет что сконфигурировало ..

начинаю сборку (make && make install)  и через некоторое время :

 

make[3]: *** No rule to make target `/root/tbs/linux-tbs-drivers/v4l/tbs8921ctrl.o', needed by `/root/tbs/linux-tbs-drivers/v4l/tda18271.o'.  Stop.

make[2]: *** [_module_/root/tbs/linux-tbs-drivers/v4l] Error 2

make[2]: Leaving directory `/usr/src/linux-headers-3.13.0-53-generic'

make[1]: *** [default] Error 2

make[1]: Leaving directory `/root/tbs/linux-tbs-drivers/v4l'

make: *** [all] Error 2

 

Изначально пробовал с заводсикми дровами.... и на них и на твоих - та же самая ошибка.

Куда копнУть ? ))

 

п.с. сборка под Т/Т2 под эту же карту - собирается нормально с этих же дров и работает.

Share this post


Link to post
Share on other sites

Судя по той логике по какой китайци делали конфигуратор, то сначала делаешь просто ./v4l/tbs-x86_64.sh ,

а за ним команду ./v4l/tbs-dvbc-x86_64.sh и драйвера для dvbc собираются нормально.

Первая команда конфигурирует общий пакет драйверов, а вторая переключает его на работу dvbc.

Share this post


Link to post
Share on other sites

В факе (прилагаемый в архиве с дровами) говорится так - если хочешь юзать двб-т, запускаешь конфигуратор ./v4l/tbs-x86_64.sh  ,  а если хочешь юзать карту как двб-С , тогда запускать - ./v4l/tbs-dvbc-x86_64.sh

Что я собственно и делал. Попробую днём написать в саппорт ...

Share this post


Link to post
Share on other sites

Неправильно понял :) Сначала ./v4l/tbs-x86_64.sh, а потом дополнительно ./v4l/tbs-dvbc-x86_64.sh. А дальше уже компилишь/инсталиш :)

 

P.S. Китайцам и "болгарским перцам" "якорь в попу" :)

Share this post


Link to post
Share on other sites

Т.е. получается если два типа карт TBS-6985 и TBS-6905 два комплекта дров нужно поставить?

Cтарые для TBS-6985 и новые для TBS-6905.

Share this post


Link to post
Share on other sites

Зачем ? последние дрова поддерживают все их железяки.

Речь идет только о эфирно-кабельных, при установке дров надо определится в каком режиме будут работать.

Share this post


Link to post
Share on other sites

Т.е. получается если два типа карт TBS-6985 и TBS-6905 два комплекта дров нужно поставить?

Cтарые для TBS-6985 и новые для TBS-6905.

 

У меня на одной машинке стоят и 6985 и 6905 , от одних дров работают. Всё ок  :)

Share this post


Link to post
Share on other sites

JerryLutor, CrazyCat , благодарю за помощь. Так как вы и говорили. Сначала сконфигурировал основные дрова, а затем "переключил" на двб-С.

Скомпилились, всё гуд:

 

Jun 06 01:45:24: INFO:     frontend = TurboSight TBS 62x1 DVBC frontend

Jun 06 01:45:24: INFO:     type = C

 

Share this post


Link to post
Share on other sites

Добрый день уважаемые гуру! Помогите советом. Поднимаю сервер на CentOS 6.5 + astra 4.4.187. Инструкции приведенные на сайте выполнил. но запустить астру так и не удалось.

 

вывод при запуске файла a0.lua

 

PANIC: unprotected error in call to Lua API ([main] ./a0.lua:7: module 'base' not found:
        no field package.preload['base']
        no file './base.lua')
Аварийный останов
 

Пробовал собрать ручками, ставиться с ошибками но снова же не запускается

 

вывод configure.sh

Cleaning previous build...
CLEAN: astra

Compiler Flags:
  TARGET: x86_64-redhat-linux
      CC: gcc
  CFLAGS: -O2 -fomit-frame-pointer -I. -Wall -Wextra -Wstrict-prototypes -pedantic -fno-builtin -std=iso9899:1999 -D_GNU_SOURCE -msse -msse2 -msse4 -march=native -pthread -DWITH_EPOLL=1 -DHAVE_CLOCK_GETTIME=1 -DHAVE_ENDIAN_H=1 -DHAVE_PREAD=1 -DHAVE_STRNDUP=1 -DHAVE_STRNLEN=1

Check modules:
     OK: ./main.c
     OK: ./core
     OK: ./lua
     OK: ./modules/asi
     OK: ./modules/astra
   SKIP: ./modules/biss_encrypt
./modules/biss_encrypt: error: libdvbcsa is not found. use --with-libdvbcsa option
     OK: ./modules/dvb
     OK: ./modules/file
     OK: ./modules/http
     OK: ./modules/inscript
   SKIP: ./modules/mixaudio
./modules/mixaudio: error: module is under development
     OK: ./modules/mpegts
   SKIP: ./modules/postgres
./modules/postgres: error: PostgreSQL or libpq not found
./modules/softcam: warning: libssl-dev is not found. newcamd disabled
     OK: ./modules/softcam
     OK: ./modules/udp

Linker Flags:
 VERSION: 4.4.187
     OUT: astra
 LDFLAGS: -ldl -lm -lpthread -lrt -lrt

Install Path:
  BINARY: /usr/bin/astra
 

 

Что то делаю неверно?

Share this post


Link to post
Share on other sites

PANIC: unprotected error in call to Lua API ([main] ./a0.lua:7: module 'base' not found:

У Вас конфиг для бородатых версий скорее всего с "require ("base")".

Также libssl-dev поставьте, если newcamd нужен.

Share this post


Link to post
Share on other sites

make && make install
   CC: main.o
   CC: core/clock.o
   CC: core/compat.o
   CC: core/event.o
   CC: core/list.o
   CC: core/log.o
   CC: core/loopctl.o
   CC: core/socket.o
   CC: core/strbuffer.o
   CC: core/thread.o
   CC: core/timer.o
   CC: lua/lapi.o
   CC: lua/lauxlib.o
   CC: lua/lcode.o
   CC: lua/lctype.o
   CC: lua/ldebug.o
   CC: lua/ldo.o
   CC: lua/ldump.o
   CC: lua/lfunc.o
   CC: lua/lgc.o
   CC: lua/llex.o
   CC: lua/lmem.o
   CC: lua/loadlib.o
lua/loadlib.c: В функции ‘ll_sym’:
lua/loadlib.c:142: предупреждение: ISO C запрещает преобразование указателя на объект к указателю на функцию
   CC: lua/lobject.o
   CC: lua/lopcodes.o
   CC: lua/lparser.o
   CC: lua/lstate.o
   CC: lua/lstring.o
   CC: lua/ltable.o
   CC: lua/ltm.o
   CC: lua/lundump.o
   CC: lua/lvm.o
   CC: lua/lzio.o
   CC: lua/lbaselib.o
   CC: lua/lbitlib.o
   CC: lua/lcorolib.o
   CC: lua/ldblib.o
   CC: lua/linit.o
   CC: lua/liolib.o
   CC: lua/lmathlib.o
   CC: lua/loslib.o
   CC: lua/lstrlib.o
   CC: lua/ltablib.o
   CC: modules/asi/input.o
   CC: modules/astra/module_lua.o
   CC: modules/astra/module_stream.o
   CC: modules/astra/crc32b.o
   CC: modules/astra/sha1.o
   CC: modules/astra/base64.o
   CC: modules/astra/md5.o
   CC: modules/astra/rc4.o
   CC: modules/astra/strhex.o
   CC: modules/astra/astra.o
   CC: modules/astra/log.o
   CC: modules/astra/timer.o
   CC: modules/astra/utils.o
   CC: modules/astra/json.o
   CC: modules/astra/iso8859.o
   CC: modules/astra/pidfile.o
   CC: modules/dvb/src/fe.o
   CC: modules/dvb/src/ca.o
   CC: modules/dvb/input.o
modules/dvb/input.c:646:5: warning: #warning is a GCC extension
modules/dvb/input.c:646:5: warning: #warning "DVB-T2 Disabled. DVB-API < 5.3"
   CC: modules/dvb/dvbls.o
   CC: modules/dvb/ddci.o
   CC: modules/file/input.o
   CC: modules/file/output.o
   CC: modules/http/parser.o
   CC: modules/http/utils.o
   CC: modules/http/server.o
   CC: modules/http/request.o
   CC: modules/http/modules/redirect.o
   CC: modules/http/modules/static.o
   CC: modules/http/modules/websocket.o
   CC: modules/http/modules/upstream.o
   CC: modules/http/modules/downstream.o
   CC: modules/inscript/inscript.o
   CC: modules/mpegts/src/pcr.o
   CC: modules/mpegts/src/psi.o
   CC: modules/mpegts/src/pes.o
   CC: modules/mpegts/src/types.o
   CC: modules/mpegts/analyze.o
   CC: modules/mpegts/channel.o
   CC: modules/mpegts/transmit.o
   CC: modules/softcam/FFdecsa/FFdecsa.o
   CC: modules/softcam/cam/cam.o
   CC: modules/softcam/cas/bulcrypt.o
   CC: modules/softcam/cas/conax.o
   CC: modules/softcam/cas/cryptoworks.o
   CC: modules/softcam/cas/dgcrypt.o
   CC: modules/softcam/cas/dre.o
   CC: modules/softcam/cas/exset.o
   CC: modules/softcam/cas/griffin.o
   CC: modules/softcam/cas/irdeto.o
   CC: modules/softcam/cas/mediaguard.o
   CC: modules/softcam/cas/nagra.o
   CC: modules/softcam/cas/viaccess.o
   CC: modules/softcam/cas/videoguard.o
   CC: modules/softcam/decrypt.o
   CC: modules/udp/input.o
   CC: modules/udp/output.o
BUILD: astra
INSTALL: /usr/bin/astra
 

 

 

У Вас конфиг для бородатых версий скорее всего с "require ("base")".

Также libssl-dev поставьте, если newcamd нужен.

Гуру что мне нужно изменить?

Share this post


Link to post
Share on other sites

мой a0.lua

#!/usr/bin/astra

log.set({ filename = "/var/log/astra.log", debug = true })

pidfile("/var/run/astra.pid")

require("base")

make_stream(
    {file = { filename = "/root/sm2.ts"}},
        {{ name = "TEST 1", output = { "udp:172.0.0.1//@239.0.100.1:1234" } } })

Share this post


Link to post
Share on other sites

убрал require("base")

 

./a0.lua
PANIC: unprotected error in call to Lua API ([main] ./a0.lua:7: attempt to call global 'make_stream' (a nil value))
Аварийный останов
 

Share this post


Link to post
Share on other sites

Я привел ссылку на актуальные примеры же )

pidfile("/var/run/astra.pid")
log.set({ filename = "/var/log/astra.log", debug = true })

make_channel({
    name = "TEST 1",
    input = { "file:///root/sm2.ts" },
    output = { "udp://172.0.0.1@239.0.100.1" }
})

Share this post


Link to post
Share on other sites

Все отлично работает! Спасибо

 

./a0.lua
Nov 16 13:13:38: INFO: Starting Astra 4.4.187
Nov 16 13:13:38: INFO: [TEST 1 #1] PAT: tsid: 1
Nov 16 13:13:38: INFO: [TEST 1 #1] PAT: pid: 4096 PMT pnr: 1
Nov 16 13:13:38: INFO: [TEST 1 #1] PAT: crc32: 0x2AB104B2
Nov 16 13:13:38: INFO: [TEST 1 #1] PMT: pnr: 1
Nov 16 13:13:38: INFO: [TEST 1 #1] PMT: pid: 257 PCR
Nov 16 13:13:38: INFO: [TEST 1 #1] DATA: pid: 256 type: 0x81
Nov 16 13:13:38: INFO: [TEST 1 #1] VIDEO: pid: 257 type: 0x1B
Nov 16 13:13:38: INFO: [TEST 1 #1] PMT: crc32: 0x2573E2B3
Nov 16 13:13:38: INFO: [TEST 1 #1] SDT: tsid: 1
Nov 16 13:13:38: INFO: [TEST 1 #1] SDT: sid: 1
Nov 16 13:13:38: INFO: [TEST 1 #1] SDT:    Service: Service01
Nov 16 13:13:38: INFO: [TEST 1 #1] SDT:    Provider: FFmpeg
Nov 16 13:13:38: INFO: [TEST 1 #1] SDT: crc32: 0xA779A003
Nov 16 13:13:39: INFO: [TEST 1 #1] Bitrate:796Kbit/s
Nov 16 13:13:39: INFO: [TEST 1] Active input #1
Nov 16 13:19:17: ERROR: [TEST 1 #1] end of file
Nov 16 13:19:19: ERROR: [TEST 1 #1] Bitrate:0Kbit/s PES:0 CC:0
Nov 16 13:19:19: ERROR: [TEST 1] Failed to switch to reserve
 

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now

×